Ticket #77 (closed feature: fixed)

Opened 13 years ago

Last modified 13 years ago

Usage statistics

Reported by: ppalmers Assigned to:
Priority: blocker Milestone: FFADO 2.0
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

One of the first questions any vendor asks when approaching them with a request for support is "how many people are using Linux?". It would be nice to have a method that allows people to very easily register as a FFADO user to obtain convincing statistics. People might have privacy issues with this and hence we should address these up front.

The main point is that having numbers make a huge difference. Being able to tell a vendor how many people have used FFADO software with one of their devices is VERY effective. Even numbers as low as 50 are significant in this market. I literally have seen the faces of vendors who I told that people sold their device in favour of a supported device, and that's only one person.

This is not a blocker for a beta, but this should be in by the time we release officially, such that it's in the distro's.

Change History

03/19/08 18:33:17 changed by laptop006

Note that most distros will refuse anything like this unless it's optional.

However major distros usually have something similar (eg, debian's popularity-contest)

03/20/08 01:56:27 changed by ppalmers

The "registration" itself would be optional of course.

But I would not make it very easy for distro's or packagers to disable the (one time) "nag screen". Or at least make sure that they are very aware of what they are doing.

04/28/08 11:21:28 changed by ppalmers

  • status changed from new to closed.
  • resolution set to fixed.

(In [1060]) - implement (basic) user feedback (fixes #77) - fix some small issues in the mixer code